// Athena Character configuration file.

// Server Communication username and password.
userid: s1
passwd: p1

// Server name, use alternative character such as ASCII 160 for spaces.
// NOTE: You should not use spaces in the server name, or guild emblems won't work client-side!
server_name: eAthena

// Wisp name for server: used to send wisp from server to players (between 4 to 23 characters)
wisp_server_name: Server

// Login Server IP
// The character server connects to the login server using this IP address.
// NOTE: This is useful when you are running behind a firewall or are on
// a machine with multiple interfaces.
//login_ip: 127.0.0.1

// The character server listens on the interface with this IP address.
// NOTE: This allows you to run multiple servers on multiple interfaces
// while using the same ports for each server.
//bind_ip: 127.0.0.1

// Login Server Port
login_port: 6900

// Character Server IP
// The character server exports this IP address to the entire world.
// NOTE: You should only need to set this if you are running behind a
// firewall or are on a machine with multiple interfaces.
// char_ip:127.0.0.1

// Character Server Port
char_port: 6121

//Time-stamp format which will be printed before all messages.
//Can at most be 20 characters long.
//Common formats:
// %I:%M:%S %p (hour:minute:second 12 hour, AM/PM format)
// %H:%M:%S (hour:minute:second, 24 hour format)
// %d/%b/%Y (day/Month/year)
//For full format information, consult the strftime() manual.
//timestamp_format: [%d/%b %H:%M]

//Makes server output more silent by ommitting certain types of messages:
//1: Hide Information messages
//2: Hide Status messages
//4: Hide Notice Messages
//8: Hide Warning Messages
//16: Hide Error and SQL Error messages.
//Example: "console_silent: 7" Hides information, status and notice messages (1+2+4)
console_silent: 0

// Console Commands
// Allow for console commands to be used on/off
// This prevents usage of >& log.file
console: off

// Option to force a player to create an e-mail.
// If a player have default e-mail, and if you activate this option, the player can only connect in the game (to arrive on a map) like follow:
// - Create at least 1 character
// - Select 1 character
// - Select DEL to enter his/her e-mail. (if OK is choosen, client says to the player: 'invalid e-mail')
// - If his/her e-mail is correct, the player enter in the game (an e-mail is saved definitively).
// - If his/her e-mail is incorrect, he/she have 'incorrect e-mail' and must select again DEL.
// - After entering in the game (when the player arrives on a map), DEL and SEL/OK button work normaly for all next connections.
// Resume: If a player have "incorrect/invalid e-mail" when he/she click on 'OK' button,
//         the player must click 'DEL' button and register his/her NEW e-mail to enter in the game
// So, default is 0, because administrator must explain to their players before to activate this option.
email_creation: 0

// Is Character server in maintainence mode?
char_maintenance: 0

// Enable or disable creation of new characters.
// Now it is actually supported [Kevin]
char_new: 1

// Display (New) in the server list.
char_new_display: 0

// Maximum users able to connect to the server. Set to 0 for unlimited.
max_connect_user: 0

// When set to yes, the char server will refuse connections from players already online.
// When a login attempt is rejected, the account in question will be booted from all the connected map servers.
// Note that this only works within the char-server and it's connected mapservers,
// the charserver cannot know if the same account is logged on in other char servers.
// it's safe to turn off if the char-server only has a single map-server connected to it.
online_check: yes

// Minimum GM level that is allowed to bypass the server limit of users.
gm_allow_level: 99

// It's to check IP of a player between char-server and other servers (part of anti-hacking system)
// If player doesn't have same IP, connection is refused.
// Set to 0/off/no to not check IP of player.
// Set to 1/on/yes if you want to check (default)
// Note: if you enable this option, be sure that your (local/lan/wan) players use correct ip (in xml file) to contact servers,
//       and that your LAN is correctly configured (!), and that LAN configuration of eathena is right.
check_ip_flag: yes

// How often should the server save all files? (In seconds)
// Note: Applies to all data files on TXT servers.
// On SQL servers, it applies to guilds (character save interval is defined on the map config)
autosave_time: 60

// Display information on the console whenever characters/guilds/parties/pets are loaded/saved? 
save_log: yes

// Character server flatfile database
char_txt: save/athena.txt

// Choose to create or not backup file (yes/no, 0/1, etc...)
// default is 'no', because backup file take time for nothing. Actually, there is no problem on characters file creation and save.
backup_txt_flag: no

// Character server flatfile database (backup, TXT only)
backup_txt: save/athena_backup.txt

// Friends list flatfile database
friends_txt: save/friends.txt

// Start point, Map name followed by coordinates (x,y)
start_point: new_1-1.gat,53,111

// Starting weapon for new characters
start_weapon: 1201

// Starting armor for new characters
start_armor: 2301

// Starting zeny for new characters
start_zeny: 0

// Size for the fame-lists
fame_list_alchemist: 10
fame_list_blacksmith: 10
fame_list_taekwon: 10

// Guild earned exp modifier.
// Adjusts taxed exp before adding it to the guild's exp. For example, if set 
// to 200, the guild receives double the player's taxed exp.
guild_exp_rate: 100

// Name used for unknown characters
unknown_char_name: Unknown

// Log Filename
char_log_filename: log/char.log

// Allow or not identical name for characters but with a different case (upper/lower):
// example: Test-test-TEST-TesT; Value: 0 not allowed (default), 1 allowed
name_ignoring_case: 0

// Manage possible letters/symbol in the name of charater. Control character (0x00-0x1f) are never accepted. Possible values are:
// NOTE: Applies to character, party and guild names.
// 0: no restriction (default)
// 1: only letters/symbols in 'char_name_letters' option.
// 2: Letters/symbols in 'char_name_letters' option are forbidden. All others are possibles.
char_name_option: 1

// Set the letters/symbols that you want use with the 'char_name_option' option.
// Note: Don't add spaces unless you mean to add 'space' to the list.
char_name_letters: abcdefghijklmnopqrstuvwxyz ABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890

// Filename of the file which receives the online players list in text
online_txt_filename: online.txt

// Filename of the file which receives the online players list, but in html version
online_html_filename: online.html

// Choose how to display online players.
// (sorting operation with a lot of online players can take time on a slow computer)
// 0: no sorting (default)
// 1: by alphabetical order of their name
// 2: by number of their zenys
// 3: by their base level
// 4: by their job (and job level inside the same job)
// 5: by alphabetical order of their actual map location
online_sorting_option: 0

// Choose which columns that you want display in the online files. Do the addition of these values:
// (if value is 0, no file is done)
// 1: name (just the name, no function like 'GM')
// 2: job
// 4: levels
// 8: map name
// 16: mapname and coordonates
// 32: zenys
// 64: name (with 'GM' if the player is a GM)
// default value: 1 (only name)
online_display_option: 1

// minimum GM level to display 'GM' when we want to display it (default: 1)
online_gm_display_min_level: 20

// refresh time (in sec) of the html file in the explorer (default 20)
online_refresh_html: 20

// To log the character server?
log_char: 1

// How many Characters are allowed per Account ? (0 = disabled) [SQL Only!]
chars_per_account: 0

// What folder the DB files are in (item_db.txt, etc.)
db_path: db

import: conf/import/char_conf.txt
